What devices does Proloquo2Go run on?

The current version of Proloquo2Go runs on all iPad, iPhone, and iPod touch models that support iOS 10. You can find a list of devices that run iOS 10 at http://www.apple.com/ios/ios-10/.

Proloquo2Go 4.x runs on all iPad, iPhone, and iPod touch models that support iOS 8 or later. This includes all iPad models except the original model iPad, the iPhone 4S and later, and the iPod touch 5G and 6G.

Additionally, Proloquo2Go for Apple Watch can be used for communication by using pre-programmed and user-customized phrases and a customizable sentence builder. It can also be used as a single switch to allow users with fine motor challenges to access an iPhone. Please note that you need Watch OS 2 or higher on your Apple Watch and iOS 9 or higher on your iPhone to use Proloquo2Go for Apple Watch.

If you cannot update to the latest version of Proloquo2Go, you can continue running the last compatible version on your device. It is not possible to update an app from the App Store without running the minimum supported iOS for the update, so you do not need to worry about accidentally updating.

It is not possible to purchase Proloquo2Go on some older devices, as Apple will note that a later iOS version is required. You can work around this by purchasing Proloquo2Go on a compatible device or computer, then downloading the app on the older device using the same iTunes account. For exact instructions on how to do this, please see How do I redownload an app for free?

Note that Proloquo2Go only runs on iOS devices, and cannot be used on Blackberry, Windows mobile or Android devices. We currently have no plans to support any devices other than the iPad, iPhone, and iPod touch. We prefer to concentrate on iOS and make the best possible software for that platform, rather than spread our resources thin and create mediocre products on multiple devices.

 

Was this answer helpful for you?